Subject: Ticket Assigned - Order 9409837842 - not yet delivered!
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jan 2023 08:37:28 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9409837842 - not yet delivered! Good afternoon,

I have been chasing this order since yesterday. As per the application i
was supposed to be receiving this yesterday , 10th January!.
I received sms yesterday stating it is out for delivery. Upon checking with
the contact center, that was not the case! Received another sms later
stating it was missed! Tried seeking help from call center and chat team,
they’re useless. Copy pasted replies without any proactiveness!!
Kindly escalate the matter and provide me with a resolution asap. I need
this order by today max!

Ridiculous service. This is the 2nd time I faced issues with my order. Will
never recommend!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5574408